Installation error when extending an existing Eclipse shell

Technote (troubleshooting)


Problem(Abstract)

This technote explains why the error "Feature is missing
" is received when installing IBM Rational Software Analyzer 7.0.1 into an existing Eclipse shell:

Symptom

Attempts to install Rational Software Analyzer 7.0.1 into an existing Eclipse shell results in the following error:

Some features and bundles of your existing Eclipse installation need to be upgraded with newer versions or are missing.  You must update your existing Eclipse using its Install/Update manager.  Use its "Help -> Software Updates -> Find and Install..." menu item to invoke its Install/Update manager.   Alternatively, you can download the features and bundles from eclipse.org.

 Feature "org.eclipse.equinox.p2.user.ui.R341patch" is missing

 Feature "org.eclipse.jdt.R341patch" is missing

 Feature "org.eclipse.platform.R341patch" is missing

 Feature "org.eclipse.help.R341patch" is missing



Cause

Your eclipse instance does not contain the appropriate version of required plug-ins to allow IBM Installation Manager to resolve dependencies

Resolving the problem

Although Rational Software Analyzer is based upon eclipse 3.4.1, the IBM Eclipse SDK (IES) contains additional patches that were not included in the eclipse 3.4.1 distributions available on www.eclipse.org.

To install Rational Software Analyzer into an existing eclipse shell, the existing eclipse shell will need to be updated to version 3.4.2 or download eclipse 3.4.2 from www.eclipse.org.

Cross Reference information
Segment Product Component Platform Version Edition
Software Development Rational Software Analyzer Developer Edition

Rate this page:

(0 users)Average rating

Document information


More support for:

Rational Software Analyzer Enterprise Edition
Eclipse Platform Support

Software version:

7.0.1

Operating system(s):

Linux, Windows

Reference #:

1376809

Modified date:

2010-11-23

Translate my page

Machine Translation

Content navigation